/* Extract Database c:\st2.gdb */
CREATE DATABASE "c:\st2.gdb" PAGE_SIZE 1024 
;


/* Table: STOCKTABLE, Owner: SYSDBA */
CREATE TABLE STOCKTABLE (GOODSNAME CHAR(30),
        PRICE FLOAT,
        GOODSNUMBER INTEGER NOT NULL,
CONSTRAINT STOCKTABLE_PK1 PRIMARY KEY (GOODSNUMBER));

/*  Index definitions for all user tables */
CREATE UNIQUE INDEX RDB$PRIMARY28 ON STOCKTABLE(GOODSNUMBER);

CREATE GENERATOR GEN1;

SET TERM ^ ;

/* Triggers only will work for SQL triggers */
CREATE TRIGGER STOCKTABLETRIGGER1 FOR STOCKTABLE                      
ACTIVE BEFORE INSERT POSITION 0 
AS
BEGIN
new.GOODSNUMBER=GEN_ID(GEN1,1);
END
 ^
COMMIT WORK ^
SET TERM ; ^

/* Grant permissions for this database */

